(window.webpackJsonp=window.webpackJsonp||[]).push([[45,44],{"./flow-runner/components/contextbar/TerminalPanelCBView.tsx":function(e,t,n){"use strict";n.r(t),n.d(t,"middleTruncate",(function(){return h})),n.d(t,"ChannelSelector",(function(){return g}));var o=n("../../node_modules/react/index.js"),r=n.n(o),a=n("../../node_modules/styled-components/dist/styled-components.browser.esm.js"),l=n("../../node_modules/@postman/aether/esmLib/index.js"),s=n("../../node_modules/mobx-react/dist/mobx-react.module.js"),c=n("../../node_modules/mobx/lib/mobx.module.js"),i=n("./appsdk/contextbar/ContextBarViewHeader.js"),m=n("./appsdk/components/editors/texteditor/TextEditor.js"),d=function(e,t,n,o){var r,a=arguments.length,l=a<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)l=Reflect.decorate(e,t,n,o);else for(var s=e.length-1;s>=0;s--)(r=e[s])&&(l=(a<3?r(l):a>3?r(t,n,l):r(t,n))||l);return a>3&&l&&Object.defineProperty(t,n,l),l};const u=a.default.div`
  display: flex;
  flex-direction: column;
  flex-grow: 1;
`,p=Object(a.default)(l.Button)`
    margin: 0 ${({theme:e})=>e["spacing-s"]};
`,h=e=>e.length>8?`${e.substring(0,4)}..${e.substring(e.length-3)}`:e,g=({channels:e,currChannel:t,onChannelSelect:n})=>r.a.createElement(l.Menu,null,r.a.createElement(l.MenuButton,{type:"tertiary",text:h(t),tooltip:"Select log group"}),r.a.createElement(l.MenuList,{placement:"bottom-end"},e.map((e=>r.a.createElement(l.MenuItem,{onClick:()=>n(e),key:e},r.a.createElement(l.Flex,{width:"200px"},r.a.createElement(l.Text,{type:"body-medium",isTruncated:!0},e)))))));let x=class extends o.Component{constructor(){super(...arguments),this.currChannel="default"}get log(){return setTimeout((()=>{this.scrolldown()})),this.props.contextData.model.sessionManager.nodeLog.get(this.currChannel)}setEditor(e){this.editor=e}scrolldown(){if(!this.editor)return;const e=this.editor.getModel();e&&this.editor.revealLine(e.getLineCount())}render(){return r.a.createElement(r.a.Fragment,null,r.a.createElement(i.ContextBarViewHeader,{title:"Terminal",onClose:this.props.onClose},r.a.createElement(g,{channels:[...this.props.contextData.model.sessionManager.nodeLog.keys()],currChannel:this.currChannel,onChannelSelect:Object(c.action)((e=>{this.currChannel=e}))}),r.a.createElement(p,{type:"secondary",text:"Clear",onClick:()=>this.props.contextData.model.clearNodeLog(this.currChannel)})),r.a.createElement(u,null,this.log?r.a.createElement(m.default,{value:this.log||null,readOnly:!0,hideLineNumbers:!0,language:"yaml",placeholder:"There was no input received",onChange:()=>{},registerTextEditor:e=>this.setEditor(e)}):r.a.createElement(l.Flex,{padding:"spacing-s"},r.a.createElement(l.Text,{color:"content-color-tertiary"},"Attach a terminal block to the port to see output data"))))}};d([c.observable],x.prototype,"currChannel",void 0),d([c.computed],x.prototype,"log",null),x=d([s.observer],x),t.default=x},"./flow-runner/components/contextbar/TestSummaryPanelCBView.tsx":function(e,t,n){"use strict";n.r(t);var o=n("../../node_modules/react/index.js"),r=n.n(o),a=n("../../node_modules/styled-components/dist/styled-components.browser.esm.js"),l=n("./node_modules/moment/moment.js"),s=n.n(l),c=n("../../node_modules/@postman/aether/esmLib/index.js"),i=n("../../node_modules/@postman/aether-icons/esmLib/index.js"),m=n("../../node_modules/mobx-react/dist/mobx-react.module.js"),d=n("../../node_modules/mobx/lib/mobx.module.js"),u=n("./appsdk/contextbar/ContextBarViewHeader.js"),p=n("./flow-runner/components/contextbar/TerminalPanelCBView.tsx"),h=function(e,t,n,o){var r,a=arguments.length,l=a<3?t:null===o?o=Object.getOwnPropertyDescriptor(t,n):o;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)l=Reflect.decorate(e,t,n,o);else for(var s=e.length-1;s>=0;s--)(r=e[s])&&(l=(a<3?r(l):a>3?r(t,n,l):r(t,n))||l);return a>3&&l&&Object.defineProperty(t,n,l),l};const g=a.default.div`
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  overflow-y: auto;
`,x=Object(a.default)(c.Button)`
  margin: 0 ${({theme:e})=>e["spacing-s"]};
`,b=Object(a.default)(c.Flex)`
  margin: ${({theme:e})=>e["spacing-m"]} 0;
  &:first-child{
    margin-top: 0;
  }
`,f=a.default.div`
  border-top: solid;
  border-top-width: var(--border-width-default);
  border-top-color: var(--border-color-strong);
  flex-grow: 1;
  margin-right: ${({theme:e})=>e["spacing-s"]}
`;let y=class extends o.Component{constructor(){super(...arguments),this.currChannel="default"}get summaries(){return this.props.contextData.model.sessionManager.testSummary.get(this.currChannel)||[]}render(){return r.a.createElement(r.a.Fragment,null,r.a.createElement(u.ContextBarViewHeader,{title:"Test summary",onClose:this.props.onClose},r.a.createElement(p.ChannelSelector,{channels:[...this.props.contextData.model.sessionManager.testSummary.keys()],currChannel:this.currChannel,onChannelSelect:Object(d.action)((e=>{this.currChannel=e}))}),r.a.createElement(x,{type:"secondary",text:"Clear",onClick:()=>this.props.contextData.model.clearTestSummary(this.currChannel)})),r.a.createElement(g,null,this.summaries.length?this.summaries.map((e=>r.a.createElement(r.a.Fragment,{key:e.sessionStartTime},r.a.createElement(b,{alignItems:"center",gap:"spacing-s"},r.a.createElement(c.Text,{color:"content-color-secondary"},s()(e.sessionStartTime).format("hh:mm:ss")),r.a.createElement(f,{className:"border-color-strong"})),e.items.map((e=>r.a.createElement(c.Flex,{alignItems:"center",gap:"spacing-s",padding:"spacing-xs"},e.skipped&&r.a.createElement(i.IconStateDisableStrokeSmall,{color:"content-color-warning"}),!e.skipped&&(e.passed?r.a.createElement(i.IconStateSuccessFillSmall,{color:"content-color-success"}):r.a.createElement(i.IconStateFailFillSmall,{color:"content-color-error"})),r.a.createElement(c.Text,{color:"content-color-primary",isTruncated:!0},e.name))))))):r.a.createElement(c.Flex,{padding:"spacing-s"},r.a.createElement(c.Text,{color:"content-color-tertiary"},"Attach a test-summary block to the port to see output data"))))}};h([d.observable],y.prototype,"currChannel",void 0),h([d.computed],y.prototype,"summaries",null),y=h([m.observer],y),t.default=y}}]);